
TYPO3.Flow - Feature # 33862

Status: Resolved Priority: Should have
Author: Stefan Neufeind Category: Validation
Created: 2012-02-12 Assigned To: Stefan Neufeind
Updated: 2012-05-15 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: a shorthand for custom validators
Description

Instead of using the fully qualified classname (which is long) Extbase has a shorthand of the form <ExtName>:<ValName>. This will
resolve to Tx_<ExtName>_Validation_Validator_<ValName>Validator there.

For FLOW3 instead of <ExtName> the <PackageName> could be used to create a class name.

(Thanks go to Martin Kutschker for that suggestion.)

Related issues:
related to TYPO3.Flow - Bug # 38154: Validator shorthand notation does not wo... Resolved 2012-06-18

Associated revisions
Revision 8fca8ee3 - 2012-02-22 14:34 - Stefan Neufeind

[FEATURE] Shorthand syntax for custom validators

This change allows the Validate annotation for properties to
be given a value like "Mypkg:My". This is equivalent to using
"Mypkg\Validation\Validator\MyValidator" - just shorter.

Thanks to Martin Kutschker for reporting and inspiring patch.

Change-Id: Id807dbfa78ae1388aa8cd53bfc578893eade427c
Resolves: #33862
Releases: 1.1

Revision fdfca9eb - 2012-06-18 16:32 - Sebastian Kurfuerst

[BUGFIX] Correctly implement validator resolver short notation

Currently, the short notation for validators which has been introduced
with Id807dbfa78ae1388aa8cd53bfc578893eade427c does only support syntax
like TYPO3\FLOW3:EmailAddress; but we should rather support TYPO3.FLOW3:EmailAddress
as this is how we use package keys at all other places which are not PHP code.

Change-Id: Icbab36f39955254a59dced0abee0ba4ef11130b5
Fixes: #38154
Related: #33862
Releases: 1.1, 1.2
Revision ead27341 - 2012-06-18 16:33 - Sebastian Kurfuerst

[BUGFIX] Correctly implement validator resolver short notation

Currently, the short notation for validators which has been introduced
with Id807dbfa78ae1388aa8cd53bfc578893eade427c does only support syntax
like TYPO3\FLOW3:EmailAddress; but we should rather support TYPO3.FLOW3:EmailAddress
as this is how we use package keys at all other places which are not PHP code.

Change-Id: Icbab36f39955254a59dced0abee0ba4ef11130b5
Fixes: #38154
Related: #33862
Releases: 1.1, 1.2

History
#1 - 2012-02-12 01:04 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8986

#2 - 2012-02-12 01:41 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8986

#3 - 2012-02-12 01:46 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8986

#4 - 2012-02-12 01:50 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8986

#5 - 2012-02-12 18:08 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8986

#6 - 2012-02-12 19:39 - Bastian Waidelich
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow

#7 - 2012-02-12 19:40 - Bastian Waidelich
- Category set to Validation
- Assigned To set to Stefan Neufeind
- Target version set to 1.1
- Has patch set to No

#8 - 2012-02-22 14:34 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8986

#9 - 2012-05-15 15:26 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
